import {Component, ElementRef, ViewChild} from '@angular/core';
import {RouterLink} from "@angular/router";
import {FormsModule} from "@angular/forms";
import {LegalService} from "../../service/legalService";

@Component({
  selector: 'app-home',
  standalone: true,
    imports: [
        RouterLink,
        FormsModule
    ],
  templateUrl: './home.component.html',
  styleUrl: './home.component.scss'
})
export class HomeComponent {
  constructor(private legalService: LegalService) {
  }

  openPrivacyPolicyModal() {
    this.legalService.openPrivacyPolicy();
  }

  openTermsOfUseModal() {
    this.legalService.openTermsOfUse();
  }
}
